nxt.http.callers

## Class StartShufflerCall

- java.lang.Object
- - nxt.http.APICall.Builder<StartShufflerCall>
  - - nxt.http.callers.StartShufflerCall

-     public class StartShufflerCall
      extends APICall.Builder<StartShufflerCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StartShufflerCall` | `create(int chain)`
    `StartShufflerCall` | `recipientPublicKey(byte[] recipientPublicKey)`
    `StartShufflerCall` | `recipientPublicKey(java.lang.String recipientPublicKey)`
    `StartShufflerCall` | `recipientSecretPhrase(java.lang.String recipientSecretPhrase)`
    `StartShufflerCall` | `shufflingFullHash(byte[] shufflingFullHash)`
    `StartShufflerCall` | `shufflingFullHash(java.lang.String shufflingFullHash)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static StartShufflerCall create(int chain)

    - #### recipientSecretPhrase

          public StartShufflerCall recipientSecretPhrase(java.lang.String recipientSecretPhrase)

    - #### recipientPublicKey

          public StartShufflerCall recipientPublicKey(java.lang.String recipientPublicKey)

    - #### recipientPublicKey

          public StartShufflerCall recipientPublicKey(byte[] recipientPublicKey)

    - #### shufflingFullHash

          public StartShufflerCall shufflingFullHash(java.lang.String shufflingFullHash)

    - #### shufflingFullHash

          public StartShufflerCall shufflingFullHash(byte[] shufflingFullHash)